%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	PHP_Fork
Summary:	%{_pearname} - Wrapper for pcntl_fork() with Java-like API
Summary(pl.UTF-8):	%{_pearname} - Wrapper dla pcntl_fork() z API zbliżonym do Javy
Name:		php-pear-%{_pearname}
Version:	0.4.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b3bcc3e56d429f7810af28e74b5c3280
URL:		http://pear.php.net/package/PHP_Fork/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcntl)
Requires:	php(posix)
Requires:	php(shmop)
Requires:	php-pear >= 4:1.0-7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP_Fork class. Wrapper around the pcntl_fork() stuff with a API set
like Java language. Practical usage is done by extending this class,
and re-defining the run() method.

This way PHP developers can enclose logic into a class that extends
PHP_Fork, then execute the start() method that forks a child process.
Communications with the forked process is ensured by using a Shared
Memory Segment; by using a user-defined signal and this shared memory
developers can access to child process methods that returns a
serializable variable.

The shared variable space can be accessed with the two methods:
- void setVariable($name, $value)
- mixed getVariable($name)

$name must be a valid PHP variable name; $value must be a variable or
a serializable object.

Resources (db connections, streams, etc.) cannot be serialized and so
they're not correctly handled.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PHP_Fork. Wrapper dla zbioru funkcji pcntl_fork() i pochodnych z
API zbliżonym do języka Javy. Praktyczne zastosowanie polega na
rozszerzeniu tej klasy i przedefiniowaniu metody run().

Dzięki temu deweloper PHP może zamknąć warstwę logiczną wewnątrz klasy
rozszerzającej PHP_Fork, a następnie uruchomić metodę start() która
wywoła proces potomny. Komunikacja z nowo powstałym procesem jest
zapewniona za pomocą Segmentu Współdzielonej Pamięci (Shared Memory
Segment); używając zdefiniowanych przez użytkownika sygnałów i tejże
dzielonej pamięci deweloperzy mają dostęp do metod procesu potomnego,
które zwraca zmienną dająca się zserializować.

Dostęp do dzielonej przestrzeni zmiennych jest możliwy poprzez dwie
metody:
- void setVariable($name, $value)
- mixed getVariable($name)

$name musi być poprawną zmienną PHP; $value musi być zmienną lub
obiektem możliwym do serializacji.

Zasoby (połączenia z bazami danych, strumienie, itp) nie mogą być
zserializowane i jako takie nie są poprawnie obsługiwane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PHP/*.php
%changelog
* Thu Feb 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PHP_Fork.git;a=log;h=master

* Thu Feb 28 2019 Adam Gołębiowski <adamg@pld-linux.org> e9b0d1e
- updated to 0.4.0

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 7f158c5
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> ab812b6
- up to 0.3.2

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 38a1343
- updated deps with pearize.sh
- release 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> a3875d8
- updated to 0.3.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0bf25ff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 71cdb0b
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> f3122a2
- rel 3: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 81db3c7
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> f2fe80f
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> af79ca1
- rel 2

* Thu Sep 22 2005 Elan Ruusamäe <glen@pld-linux.org> d100d1d
- new pear packaging. doesn't build

* Sun Mar 27 2005 Adam Gołębiowski <adamg@pld-linux.org> a92187f
- updated to 0.3.0

* Tue Jan 04 2005 Adam Gołębiowski <adamg@pld-linux.org> 182bbf2
- updated to 0.2.0

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 48a5c3b
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> cb55af9
- fixed english information about status of the package

* Mon Mar 29 2004 Jakub Bogusz <qboosh@pld-linux.org> a469f90
- more pl fixes

* Mon Mar 29 2004 ankry <ankry@pld-linux.org> 211bbe2
- spaces -> tabs

* Mon Mar 29 2004 Adam Gołębiowski <adamg@pld-linux.org> 8b4e812
- pl description spelling fixes

* Mon Mar 29 2004 Adam Gołębiowski <adamg@pld-linux.org> d281afa
- one more unneeded line in en description removed
- pl description added
- proper URL

